Subject: Re: 405GP network receive problem

From: Armin Kuster <[email-masked]>
Date: Fri, 29 Jun 2001 11:57:37 -0700

John Cagle wrote:
>
> I am debugging a custom board design based on the 405GP and have a problem
> receiving lots of TCP/IP traffic (like FTP).  We're using a 2.4 kernel based
> on Monta Vista's CDK 1.2.  UDP traffic (like TFTP) works very well, but it
> doesn't ever have back-to-back receives, typically.  The problem occurs
> at both 10mbit and 100Mbit.
>
> I have narrowed the problem down (using ttcp) to the following:
>
> During back-to-back receives (within microseconds) of two large (1500 bytes)
> TCP packets, the second packet is usually dropped by the 405GP.  When I
> check ifconfig statistics, it shows the 1 lost packet, but also shows 2
> framing errors.
>
> Has anyone else seen this type of problem with the 405GP or does anyone
> know what the problem might be?
>
> Thanks,
> John

John,

the ethernet driver in hhl 1.2 had only one tx & rx buffer and we where
not flushing the cache properly.  I have included the latest driver &
header file.

regards,

armin